Subject: Re: DISMAN-SCHEDULE-MIB interopability testing

From: Randy Presuhn <[email-masked]>
Date: Mon, 28 Jun 1999 14:40:39 -0700 (PDT)

Hi -

> From: [email-masked]
> Date: Fri, 25 Jun 1999 16:28:56 -0400 (EDT)
> To: [email-masked]
> Subject: Re:  DISMAN-SCHEDULE-MIB interopability testing
> Cc: [email-masked]
> 
> Hello,
> 
> I know this is kinda late, but I'll toss it out anyway...
> (Kinda hard to squeeze this in around my day job...)
> 
> I have not heard of anybody doing interoperability testing of the
> DISMAN-SCHEDULE-MIB or DISMAN-SCRIPT-MIB agents.  If it's of any 
> assistance to the working group, I'll volunteer to make DISMAN-
> SCHEDULE-MIB and DISMAN-SCRIPT-MIB agents available for interoper-
> ability testing.  
> 
> I'll also be glad to work with any other implementors to test their 
> implementation.  But could somebody give me a clue about meaningful 
> interoperability tests of these agents, other than perhaps a few get/set 
> requests?  I've held back on making this offer partly because I'm
> unclear about what interoperability tests of these agents might be 
> meaningful.
...

Your generous offer is greatly appreciated.  Please keep me informed of
test results, since I will need to prepare an interoperability report
when it comes time to consider advancement.

For the current thinking on what constitutes "interoperability" for
MIBs, please see RFC 2438. 

RFC 2438 Advancement of MIB specifications on the IETF Standards Track. M.
         O'Dell, H. Alvestrand, B. Wijnen, S. Bradner. October 1998. (Format:
         TXT=13633 bytes) (Also BCP0027) (Status: BEST CURRENT PRACTICE)

 -----------------------------------------------------------------------
 Randy Presuhn           [email-masked]     http://www.bmc.com
 Voice: +1 408 616-3100  BMC Software, Inc.           965 Stewart Drive
 Fax:   +1 408 616-3101  Sunnyvale, California 94086  USA
 -----------------------------------------------------------------------
 Any relationship between my opinions and BMC's is coincidental.
 -----------------------------------------------------------------------